GBP-IMPORT-DSC(1)

NAME
gbp-import-dsc - Import Debian packages into a Git repository

SYNOPSIS

gbp import-dsc [ --version ] [ --help ] [ --verbose ] [ --color=[auto|on|off] ] [ --color-scheme=COLOR_SCHEME ] [ --allow-same-versions ] [ --author-date-is-committer-date ] [ --author-is-committer ] [ --debian-branch=branch_name ] [ --debian-tag=tag-format ] [ --download ] [ --filter=pattern ] [ --keyid=gpg-keyid ] [ --[no-]create-missing-branches ] [ --[no-]pristine-tar ] [ --[no-]sign-tags ] [ --skip-debian-tag= ] [ --upstream-branch=branch_name ] [ --upstream-tag=tag-format ] debian-source.dsc

gbp import-dsc [ options ] --download [ --[no-]allow-unauthenticated ] URL | source-package

DESCRIPTION

gbp import-dsc imports a Debian source package into a Git repository, notes the package version in the commit logs, and commits the change. All information, including package name, version, Debian diffs, and upstream source, is automatically detected from the source package.

If the command is run from within an existing repository, it will import into this; if not, a new repository named as the Debian source package is created.

OPTIONS

--version
    Print version of the program, i.e. version of the git-buildpackage suite

-v

--verbose
    Verbose execution

-h

--help
    Print help and exit

--color=[auto|on|off]
    Whether to use colored output.

--color-scheme=COLOR_SCHEME
    Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, --git-color-scheme='cyan:34::' would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

--upstream-branch=branch_name
    The branch in the Git repository the upstream sources are put onto. Default is upstream.

--debian-branch=branch_name
    The branch in the Git repository the debian sources are put onto. Default is master.

--[no-]sign-tags
    GPG sign all created tags

--keyid=gpg-keyid
    use this keyid for gpg signing tags

--debian-tag=tag-format
    use this tag format when tagging Debian versions, default is debian/%(version)s

--upstream-tag=tag-format
    use this tag format when tagging upstream versions, default is upstream/%(version)s

--skip-debian-tag
    Don't create Debian tag after importing the Debian patch. This can be useful if you already created a package but want to further work on it after importing it into git.

--filter=pattern
    filter out files glob-matching pattern. Can be given multiple times.

--pristine-tar
    generate pristine-tar delta file

--download
    Download the source package instead of looking for it in the local file system. The argument can either be a source-package name or a URL. The former uses apt-get to download the source while the later uses dget.

--allow-unauthenticated
    Whether to skip signature verification on downloads.

--allow-same-version
    Allow one to import a package with the same debian version.

--author-is-committer
    When importing the Debian patch, use the author identity as committer identity.

--author-date-is-committer-date
    When importing the Debian patch, use the author date as committer date.

    Warning: Git will subtly misbehave if the committer date of a commit is not later than or equal to all its parents.

--[no-]create-missing-branches
    Create missing upstream and debian branch if missing.

CONFIGURATION FILES

Several gbp.conf files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5)> manpage for details.

SEE ALSO

gbp-import-dscs(1)>, gbp-buildpackage(1)>, gbp-import-orig(1)>, gbp-dch(1)>, apt-get(1), dget(1), gbp.conf(5)>, debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual <URL:file:///usr/share/doc/git-buildpackage/manual-html/index.html>

AUTHOR

Guido Guenther <agx@sigxcpu.org>